@{
    ViewBag.Title = "Subcategories";
}

<p id="test">Subcategories</p>

<div class="subcategory-view-wrapper">
    <div class="properties-for-subcategories">
        @using (Ajax.BeginForm("SubCategorySearch", null, new AjaxOptions
        {
            UpdateTargetId = "results",
            HttpMethod = "POST"
        }, new {id = "categories-form"}))
        {
            @Html.DropDownList("Name", (IEnumerable<SelectListItem>)ViewBag.Categories/* as SelectList*/, new {id = "selectedElement"})
        }
    </div>
    <div id="results">
        @Html.Partial("SubCategorySearch")
    </div>
</div>

<script>
    $('#categories-form').submit();
    $("#selectedElement").bind("click", function (event){
        $('#categories-form').submit();
    });
</script>